Bug 114704 - cannot build rhn-applet ... Version circular definition
cannot build rhn-applet ... Version circular definition
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Beth Nackashi
Depends On:
  Show dependency treegraph
Reported: 2004-01-31 17:55 EST by Gene Czarcinski
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-05 11:31:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2004-01-31 17:55:51 EST
Description of problem:
The applet.spec file tries to define Version by circuilar definition
or whatever.

In line 12 where Version is trying to be defined by the second
parameter of Source1 (the version numer) cannot be done because it, in
turn is defined by %{version}

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Gene Czarcinski 2004-02-01 03:00:04 EST
OK, I track it down a little.

I can build it OK unless I use a slightly modified form of Mike
Harris's stuff for rpmbuild-nonroot ~/.rpmmacros

The actual error message is:

awk: cmd. line:2: fatal: cannot open file
`/home/gc/devel/rpmbuild/rhn-applet-%{version}/version' for reading
(No such file or directory)
error: line 12: Empty tag: Version:

The following is what is being used for ~/.rpmmacros

# adapt some stuff from Mike A. Harris's  custom rpmmacro
# %_topdir defines the top directory to be used for RPM building purposes
# By defaultROOT of the buildsystem
%_topdir 		%(echo $HOME)/devel/rpmbuild

# de not automatically create the debuginfo package
%debug_package %{nil}

# %_sourcedir is where the source code tarballs, patches, etc. will be
# placed after you do an "rpm -ivh somepackage.1.0-1.src.rpm"
%_sourcedir     %{_topdir}/%{name}-%{version}

# %_specdir is where the specfile gets placed when installing a src.rpm. I
# prefer the specfile to be in the same directory as the source
tarballs, etc.
%_specdir       %{_sourcedir}

# %_tmppath is where temporary scripts are placed during the RPM build
# process as well as the %_buildroot where %install normally dumps files
# prior to packaging up the final binary RPM's.
%_tmppath	%{_topdir}/tmp

# %_builddir is where source code tarballs are decompressed, and
patches then
# applied when building an RPM package
%_builddir	%{_topdir}/BUILD

# %_buildroot is where files get placed during the %install section of
# file processing prior to final packaging into rpms.  This is oddly named
# and probably should have been called "%_installroot" back when it was
# initially added to RPM.  Alas, it was not.  ;o)
%_buildroot	%{_tmppath}/%{name}-%{version}-root

# %_rpmdir is where binary RPM packages are put after being built.
%_rpmdir	%{_topdir}/RPMS

# %_srcrpmdir is where src.rpm packages are put after being built.
%_srcrpmdir	%{_topdir}/SRPMS

# %_rpmfilename defines the naming convention of the produced RPM
# and should not be modified.  It is listed here because I am overriding
# RPM's default behaviour of dropping binary RPM's each in their own
# separate subdirectories.  I hate that.  Grrr.
%_rpmfilename	%%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm

Comment 2 Daniel Veillard 2004-02-01 04:57:18 EST
Hum, I'm not an rpmbuild guru, and I really can't see
why this should be a problem ... In the worse case I
could generate the .spec statically, but %version should
be available as part of the built src.rpm ... No I can't
make much sense of this.

Comment 3 Gene Czarcinski 2004-02-01 07:38:56 EST
OK, so was nothing "wrong" with what is in the applet.spec file and
having the separate version file ... but why.  It is not to avoid
changing applet.spec since it is changed for the %changelog ... so why
the separate file?

Solution to the problem is to plug the information into the spec file
and get rid of the awk nonsense,  Sorry but this looks like doing
something tricky to avoid doing something simple.
Comment 4 John Thacker 2006-10-29 17:34:45 EST
rhn-applet was replaced by pirut and put (package pirut) as of FC5.  Only FC5
and FC6 are currently fully supported; FC3 and FC4 are supported for security
fixes only.  If this bug occurs in FC3 or FC4 and is a security bug, please
change the product to Fedora Extras and the version to match.  If you can verify
that the bug exists in RHEL as well, please change the product and version

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Note that rhn-applet may still be present on upgraded systems, and in general
will not function correctly on such systems.  That is not a bug; anaconda does
not generally erase removed packages upon upgrades.
Comment 5 John Thacker 2006-11-05 11:31:15 EST
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.